Masumi Logo

/wallet-low-balance

Lists low-balance monitoring rules for wallets

GET
/wallet/low-balance
token<token>

API key authentication via header (token)

In: header

Query Parameters

walletId?string

Optional: filter rules by wallet id

paymentSourceId?string

Optional: filter rules by payment source id

onlyLow?string

Whether to return only rules currently in low state

Default"false"
includeDisabled?string

Whether to include disabled rules

Default"false"

Response Body

application/json

curl -X GET "https://loading/./../api/v1/wallet/low-balance"
{
  "status": "success",
  "data": {
    "Rules": [
      {
        "id": "low_balance_rule_id",
        "assetUnit": "lovelace",
        "thresholdAmount": "5000000",
        "enabled": true,
        "status": "Low",
        "lastKnownAmount": "4200000",
        "lastCheckedAt": "1970-01-20T20:00:36.260Z",
        "lastAlertedAt": "1970-01-20T20:00:36.260Z",
        "walletId": "unique_cuid_v2_of_wallet",
        "walletVkey": "wallet_vkey",
        "walletAddress": "wallet_address",
        "walletType": "Purchasing",
        "paymentSourceId": "payment_source_id",
        "network": "Preprod"
      }
    ]
  }
}
Masumi Kanji